<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style>
		#contenedor{
			height: 800px;
			padding: 15px;
		}
		#boton{
			display: block;
			clear: both;
			margin-top: 15px;
			margin-bottom: 15px;
		}
		
	</style>
	<script>
		window.addEventListener("load", function(){
		let btn=document.querySelector("#boton");
		btn.addEventListener("click", function(){

		let respuestas=["r0","r2","r1","r1", "r3", "r3"]; 
        //let preguntas=document.querySelectorAll(".p0");
        let contestadas=0;
        let correctas=0;
        let incorrectas=0;
        let puntuacion=0;
        let resultados=document.querySelector("#resultados");
        //Para que siga funcionando si se quieren añadir mas preguntas solo añadiendo el html.
        let nPreguntas=document.querySelectorAll("h3");
        //define los segundos del crono
        let crono=12;

        for(var i = 0; i < nPreguntas.length; i++){
        	//console.log("llega al for y p"+i);
        	preguntas=document.querySelectorAll(".p"+i);
        	spanes=document.querySelector("#res"+i);
        	console.log(spanes);
        
        	for(var j = 0; j < preguntas.length; j++){
        	
        		if(preguntas[j].checked){
        			contestadas++;
        			sw=false;
        			if (preguntas[j].value==respuestas[i]){
        				correctas++;
        				spanes.innerHTML="Bien¡¡";
        			}else {
        				spanes.innerHTML="Mal¡¡";
        				incorrectas++;
        			}
        		}

        	}
        	console.log(preguntas);
        }
        //document.innerHTML;



        //console.log(preguntas[0].checked);
        console.log("Respuestas contestadas: "+contestadas);
        console.log("Respuestas correctas: "+correctas);
        console.log("Respuestas incorrectas: "+incorrectas);
        console.log("Puntuacion(se calcula mediante la siguiente formula: correctas 1 punto, incorrectas -1punto) "+(parseInt(correctas)-parseInt(incorrectas)));
        console.log(spanes);
        resultados.innerHTML="Respuestas contestadas: "+contestadas+"<br>Respuestas correctas: "+correctas+"<br>Puntuacion: "+(parseInt(correctas)-parseInt(incorrectas))+" (se calcula mediante la siguiente formula: correctas 1 punto, incorrectas -1punto)";

  setInterval(function(){
		 tiempo(); }, 1000);
		


		function tiempo(){
			crono--;
			console.log(crono);
		};

});


  

		});
	</script>
</head>
<body>
	<div id="contenedor">
		<h3>1-¿cuantas uvas se toman en las campanadas de fin de año?</h3>
		<input type="radio" class="p0" value="r0"  name="a" >12
		<input type="radio" class="p0" value="r1" name="a" >13
		<input type="radio" class="p0" value="r2" name="a" >10
		<span id="res0"></span>

		<h3>2-¿cuanto son 2+2?</h3>
		<input type="radio" class="p1" value="r0" name="b">12
		<input type="radio" class="p1" value="r1" name="b">13
		<input type="radio" class="p1" value="r2" name="b">4
		<span id="res1"></span>

		<h3>3-¿cuantos meses tiene el año?</h3>
		<input type="radio" class="p2" value="r0" name="c">7
		<input type="radio" class="p2" value="r1" name="c">12
		<input type="radio" class="p2" value="r2" name="c">15
		<span id="res2"></span>

		<h3>4-¿cuanto son 3+3 ?</h3>
		<input type="radio" class="p3" value="r0" name="d">7
		<input type="radio" class="p3" value="r1" name="d">6
		<input type="radio" class="p3" value="r2" name="d">15
		<span id="res3"></span>

		<h3>5-¿cuanto son 6+6?</h3>
		<input type="radio" class="p4" value="r0" name="e">7
		<input type="radio" class="p4" value="r1" name="e">11
		<input type="radio" class="p4" value="r2" name="e">17
		<input type="radio" class="p4" value="r3" name="e">12
		<span id="res4"></span>
		
		<h3>6-¿cuanto son 26+6?</h3>
		<input type="radio" class="p5" value="r0" name="f">7
		<input type="radio" class="p5" value="r1" name="f">11
		<input type="radio" class="p5" value="r2" name="f">17
		<input type="radio" class="p5" value="r3" name="f">32
		<span id="res5"></span>
		
		<button id="boton">Corregir</button>

		<span id="resultados"></span>
	</div>
	
</body>
</html>